GET /folders/{folder_id}/items

box.com

Summary: List items in folder
Operation ID: get_folders_id_items
Auth: unknown
Description

Retrieves a page of items in a folder. These items can be files, folders, and web links. To request more information about the folder itself, like its size, please use the [Get a folder](#get-folders-id) endpoint instead.

Parameters (9)

boxapi (string, header, optional)

The URL, and optional password, for the shared link of this item. This header can be used to access items that have not been explicitly shared with a user. Use the format `shared_link=[link]` or if a password is required then use `shared_link=[link]&shared_link_password=[password]`. This header can be used on the file or folder shared, as well as on any files or folders nested within the item.

direction (string, query, optional)

The direction to sort results in. This can be either in alphabetical ascending (`ASC`) or descending (`DESC`) order.

Constraints: {'enum': ['ASC', 'DESC']}

fields (array, query, optional)

A comma-separated list of attributes to include in the response. This can be used to request fields that are not normally returned in a standard response. Be aware that specifying this parameter will have the effect that none of the standard fields are returned in the response unless explicitly specified, instead only fields for the mini representation are returned, additional to the fields requested. Additionally this field can be used to query any metadata applied to the file by specifying the `metadata` field as well as the scope and key of the template to retrieve, for example `?field=metadata.enterprise_12345.contractTemplate`.

folder_id (string, path, required)

The unique identifier that represent a folder. The ID for any folder can be determined by visiting this folder in the web application and copying the ID from the URL. For example, for the URL `https://*.app.box.com/folder/123` the `folder_id` is `123`. The root folder of a Box account is always represented by the ID `0`.

limit (integer, query, optional)

The maximum number of items to return per page.

Constraints: {'maximum': 1000}

marker (string, query, optional)

Defines the position marker at which to begin returning results. This is used when paginating using marker-based pagination. This requires `usemarker` to be set to `true`.

offset (integer, query, optional, default: 0)

The offset of the item at which to begin the response. Queries with offset parameter value exceeding 10000 will be rejected with a 400 response.

sort (string, query, optional)

Defines the **second** attribute by which items are sorted. Items are always sorted by their `type` first, with folders listed before files, and files listed before web links. This parameter is not supported for marker-based pagination on the root folder (the folder with an ID of `0`).

Constraints: {'enum': ['id', 'name', 'date', 'size']}

usemarker (boolean, query, optional)

Specifies whether to use marker-based pagination instead of offset-based pagination. Only one pagination method can be used at a time. By setting this value to true, the API will return a `marker` field that can be passed as a parameter to this endpoint to get the next page of the response.

No probe data for this endpoint yet.